package com.tmovie.model;
// Generated Aug 5, 2017 5:22:44 PM by Hibernate Tools 4.3.5.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * VideoPages generated by hbm2java
 */
@Entity
@Table(name = "video_pages", catalog = "medusa")
public class VideoPage implements java.io.Serializable {

    private Integer id;
    private Integer movieId;
    private Integer episode;
    private String title;
    private Integer season;
    private String server;
    private String videoLink;
    private Integer trustPoint;
    private boolean migrated = false;
    private Set<MigratedVideoPage> migratedVideoPageses = new HashSet<MigratedVideoPage>(0);

    public VideoPage() {
    }

    public VideoPage(Integer movieId, Integer episode, String title, Integer season, String server, String videoLink,
            Integer trustPoint, Set<MigratedVideoPage> migratedVideoPageses) {
        this.movieId = movieId;
        this.episode = episode;
        this.title = title;
        this.season = season;
        this.server = server;
        this.videoLink = videoLink;
        this.trustPoint = trustPoint;
        this.migratedVideoPageses = migratedVideoPageses;
    }

    @Id
    @GeneratedValue(strategy = IDENTITY)

    @Column(name = "id", unique = true, nullable = false)
    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Column(name = "movie_id")
    public Integer getMovieId() {
        return this.movieId;
    }

    public void setMovieId(Integer movieId) {
        this.movieId = movieId;
    }

    @Column(name = "episode")
    public Integer getEpisode() {
        return this.episode;
    }

    public void setEpisode(Integer episode) {
        this.episode = episode;
    }

    @Column(name = "title", length = 512)
    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Column(name = "season")
    public Integer getSeason() {
        return this.season;
    }

    public void setSeason(Integer season) {
        this.season = season;
    }

    @Column(name = "server", length = 32)
    public String getServer() {
        return this.server;
    }

    public void setServer(String server) {
        this.server = server;
    }

    @Column(name = "video_link", length = 1024)
    public String getVideoLink() {
        return this.videoLink;
    }

    public void setVideoLink(String videoLink) {
        this.videoLink = videoLink;
    }

    @Column(name = "trust_point")
    public Integer getTrustPoint() {
        return this.trustPoint;
    }

    public void setTrustPoint(Integer trustPoint) {
        this.trustPoint = trustPoint;
    }

    @OneToMany(fetch = FetchType.LAZY, mappedBy = "videoPage")
    public Set<MigratedVideoPage> getMigratedVideoPageses() {
        return this.migratedVideoPageses;
    }

    public void setMigratedVideoPageses(Set<MigratedVideoPage> migratedVideoPageses) {
        this.migratedVideoPageses = migratedVideoPageses;
    }

    @Column(name = "migrated")
    public boolean isMigrated() {
        return migrated;
    }

    public void setMigrated(boolean migrated) {
        this.migrated = migrated;
    }

}
